Package fr.gouv.vitam.common.database.parser.request.adapter

# Class VarNameAdapter

java.lang.Object
fr.gouv.vitam.common.database.parser.request.adapter.VarNameAdapter

Direct Known Subclasses:
  `LogbookVarNameAdapter`, `MongoDbVarNameAdapter`, `SingleVarNameAdapter`, `VarNameAdapterExternal`, `VarNameInsertAdapter`, `VarNameUpdateAdapter`

public class VarNameAdapter extends Object
Model for VarNameAdapter (Unit/ObjectGroup) internal usage.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VarNameAdapter()`
  Empty Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkNoParameter(com.fasterxml.jackson.databind.JsonNode request)`
  Check if no arguments is using any fix '#' Parameter
  `String`
  `getVariableName(String name)`
  Return null
  `boolean`
  `metadataAdapter()`
  `void`
  `setVar(BuilderToken.QUERY req, com.fasterxml.jackson.databind.node.ObjectNode currentObject, com.fasterxml.jackson.databind.JsonNode request)`
  Set simple Var (no value)
  `void`
  `setVarArray(com.fasterxml.jackson.databind.node.ArrayNode array)`
  Set an array of Var (no Value)
  `void`
  `setVarsValue(com.fasterxml.jackson.databind.node.ObjectNode currentObject, com.fasterxml.jackson.databind.JsonNode request)`
  Set Vars = Value (Json)

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VarNameAdapter

    public VarNameAdapter()
    Empty Constructor

- ## Method Details

  - ### metadataAdapter

    public boolean metadataAdapter()
    Returns:
      True if the adapter is a Internal VarnameAdapter

  - ### getVariableName

    public String getVariableName(String name) throws InvalidParseOperationException
    Return null
    Parameters:
      `name` - String
    Returns:
      null
    Throws:
      `InvalidParseOperationException` - invalid parse operation exception

  - ### setVarsValue

    public void setVarsValue(com.fasterxml.jackson.databind.node.ObjectNode currentObject, com.fasterxml.jackson.databind.JsonNode request) throws InvalidParseOperationException
    Set Vars = Value (Json)
    Parameters:
      `currentObject` - ObjectNode
      `request` - JsonNode
    Throws:
      `InvalidParseOperationException` - invalid parse operation exception

  - ### setVar

    public void setVar(BuilderToken.QUERY req, com.fasterxml.jackson.databind.node.ObjectNode currentObject, com.fasterxml.jackson.databind.JsonNode request) throws InvalidParseOperationException
    Set simple Var (no value)
    Parameters:
      `req` - QUERY
      `currentObject` - ObjectNode
      `request` - JsonNode
    Throws:
      `InvalidParseOperationException` - invalid parse operation exception

  - ### setVarArray

    public void setVarArray(com.fasterxml.jackson.databind.node.ArrayNode array) throws InvalidParseOperationException
    Set an array of Var (no Value)
    Parameters:
      `array` - ArrayNode
    Throws:
      `InvalidParseOperationException` - invalid parse operation exception

  - ### checkNoParameter

    public void checkNoParameter(com.fasterxml.jackson.databind.JsonNode request) throws InvalidParseOperationException
    Check if no arguments is using any fix '#' Parameter
    Parameters:
      `request` - JsonNode
    Throws:
      `InvalidParseOperationException` - invalid parse operation exception